### Hierarchy

- unknown
  - NavigationPath

## Index

### Constructors

- constructor

### Methods

- addPath
- clearPathList
- getPathList
- serializeBinary
- setPathList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new NavigationPath(): NavigationPath

- Inherited from jspb.Message.constructor

  #### Returns NavigationPath

## Methods

### addPath

- addPath(value: string, index?: number): NavigationPath

- - Defined in src/protobuf/pb_pb.d.ts:6394

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns NavigationPath

### clearPathList

- clearPathList(): NavigationPath

- - Defined in src/protobuf/pb_pb.d.ts:6393

  #### Returns NavigationPath

### getPathList

- getPathList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:6391

  #### Returns string[]

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6396

  #### Returns Uint8Array

### setPathList

- setPathList(value: string[]): NavigationPath

- - Defined in src/protobuf/pb_pb.d.ts:6392

  #### Parameters

  - ##### value: string[]

  #### Returns NavigationPath

### toObject

- toObject(includeInstance?: boolean): NavigationPath . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6397

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns NavigationPath . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): NavigationPath

- - Defined in src/protobuf/pb_pb.d.ts:6400

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns NavigationPath

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: NavigationPath, reader: BinaryReader): NavigationPath

- - Defined in src/protobuf/pb_pb.d.ts:6401

  #### Parameters

  - ##### message: NavigationPath

  - ##### reader: BinaryReader

  #### Returns NavigationPath

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: NavigationPath, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6399

  #### Parameters

  - ##### message: NavigationPath

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: NavigationPath ): NavigationPath . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6398

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: NavigationPath

  #### Returns NavigationPath . AsObject

Generated using TypeDoc